Send or schedule campaign
curl --request POST \
--url https://api.mailglyph.com/campaigns/{id}/send \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scheduledFor": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.mailglyph.com/campaigns/{id}/send"
payload = { "scheduledFor": "2023-11-07T05:31:56Z" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({scheduledFor: '2023-11-07T05:31:56Z'})
};
fetch('https://api.mailglyph.com/campaigns/{id}/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mailglyph.com/campaigns/{id}/send",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'scheduledFor' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mailglyph.com/campaigns/{id}/send"
payload := strings.NewReader("{\n \"scheduledFor\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.mailglyph.com/campaigns/{id}/send")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"scheduledFor\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mailglyph.com/campaigns/{id}/send")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"scheduledFor\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"subject": "<string>",
"body": "<string>",
"from": "[email protected]",
"fromName": "<string>",
"replyTo": "[email protected]",
"audienceType": "ALL",
"audienceCondition": {
"logic": "AND",
"groups": [
{
"filters": [
{
"field": "<string>",
"operator": "equals",
"value": "<unknown>",
"unit": "days"
}
],
"conditions": "<unknown>"
}
]
},
"segmentId": "<string>",
"status": "DRAFT",
"totalRecipients": 123,
"sentCount": 123,
"deliveredCount": 123,
"openedCount": 123,
"clickedCount": 123,
"bouncedCount": 123,
"scheduledFor": "2023-11-07T05:31:56Z",
"sentAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"segment": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"type": "DYNAMIC",
"condition": {
"logic": "AND",
"groups": [
{
"filters": [
{
"field": "<string>",
"operator": "equals",
"value": "<unknown>",
"unit": "days"
}
],
"conditions": "<unknown>"
}
]
},
"trackMembership": true,
"memberCount": 123,
"projectId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
},
"message": "<string>"
}Campaigns
Send or schedule campaign
Send a campaign immediately or schedule for future delivery
POST
/
campaigns
/
{id}
/
send
Send or schedule campaign
curl --request POST \
--url https://api.mailglyph.com/campaigns/{id}/send \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scheduledFor": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.mailglyph.com/campaigns/{id}/send"
payload = { "scheduledFor": "2023-11-07T05:31:56Z" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({scheduledFor: '2023-11-07T05:31:56Z'})
};
fetch('https://api.mailglyph.com/campaigns/{id}/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mailglyph.com/campaigns/{id}/send",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'scheduledFor' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mailglyph.com/campaigns/{id}/send"
payload := strings.NewReader("{\n \"scheduledFor\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.mailglyph.com/campaigns/{id}/send")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"scheduledFor\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mailglyph.com/campaigns/{id}/send")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"scheduledFor\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"subject": "<string>",
"body": "<string>",
"from": "[email protected]",
"fromName": "<string>",
"replyTo": "[email protected]",
"audienceType": "ALL",
"audienceCondition": {
"logic": "AND",
"groups": [
{
"filters": [
{
"field": "<string>",
"operator": "equals",
"value": "<unknown>",
"unit": "days"
}
],
"conditions": "<unknown>"
}
]
},
"segmentId": "<string>",
"status": "DRAFT",
"totalRecipients": 123,
"sentCount": 123,
"deliveredCount": 123,
"openedCount": 123,
"clickedCount": 123,
"bouncedCount": 123,
"scheduledFor": "2023-11-07T05:31:56Z",
"sentAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"segment": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"type": "DYNAMIC",
"condition": {
"logic": "AND",
"groups": [
{
"filters": [
{
"field": "<string>",
"operator": "equals",
"value": "<unknown>",
"unit": "days"
}
],
"conditions": "<unknown>"
}
]
},
"trackMembership": true,
"memberCount": 123,
"projectId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
},
"message": "<string>"
}Authorizations
API Key authentication. Secret keys (sk_*) are required for all endpoints except /v1/track. Public keys (pk_*) only work with the /v1/track endpoint for client-side event tracking. Workspaces can have multiple active keys, and sender-domain operations enforce per-key domain scope when configured.
Path Parameters
Body
application/json
ISO 8601 timestamp for when to send the campaign. Omit or set to null for immediate send.

